Update company settings
curl --request PUT \
--url https://ai-api.getbreezyapp.com/api/v1/company-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jobTypes": [
{
"name": "<string>",
"description": "<string>",
"id": "<string>",
"enabled": true,
"customerFacingName": "<string>"
}
],
"faqs": [
{
"question": "<string>",
"answer": "<string>",
"id": "<string>",
"category": "general"
}
],
"leadSources": [
{
"name": "<string>",
"isExistingCustomerSource": true,
"id": "<string>",
"archived": false
}
]
}
'import requests
url = "https://ai-api.getbreezyapp.com/api/v1/company-settings"
payload = {
"jobTypes": [
{
"name": "<string>",
"description": "<string>",
"id": "<string>",
"enabled": True,
"customerFacingName": "<string>"
}
],
"faqs": [
{
"question": "<string>",
"answer": "<string>",
"id": "<string>",
"category": "general"
}
],
"leadSources": [
{
"name": "<string>",
"isExistingCustomerSource": True,
"id": "<string>",
"archived": False
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
jobTypes: [
{
name: '<string>',
description: '<string>',
id: '<string>',
enabled: true,
customerFacingName: '<string>'
}
],
faqs: [
{question: '<string>', answer: '<string>', id: '<string>', category: 'general'}
],
leadSources: [
{
name: '<string>',
isExistingCustomerSource: true,
id: '<string>',
archived: false
}
]
})
};
fetch('https://ai-api.getbreezyapp.com/api/v1/company-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<unknown>"Company Settings
Update company settings
PUT
/
company-settings
Update company settings
Authorizations
userJwtBearerserviceApiKeyBearer
User JWT bearer token. User principals can manage API keys and call tenant-scoped customer endpoints.
Body
application/json
Response
204 - application/json
OK
The response is of type any.
⌘I